Debian Bug report logs - #473213
ITP: grails -- An open-source web application framework that leverages the Groovy language

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mitchell Smith <mjs@onthenet.com.au>

Date: Sat, 29 Mar 2008 10:06:01 UTC

Owned by: Miguel Landaeta <miguel@miguel.cc>

Severity: wishlist

Blocking fix for 691978: RFP: bigbluebutton -- Open Source Web Conferencing

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#473213; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mitchell Smith <mjs@onthenet.com.au>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mitchell Smith <mjs@onthenet.com.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: grails -- An open-source web application framework that leverages the Groovy language
Date: Sat, 29 Mar 2008 20:04:20 +1000
Package: wnpp
Severity: wishlist


* Package name    : grails
  Version         : 1.0.2
  Upstream Author : G2One Inc. (www.g2one.com)
* URL             : http://grails.codehaus.org/
* License         :  Apache
  Programming Lang: Java
  Description     : An open-source web application framework that leverages the Groovy language

Grails aims to bring the "coding by convention" paradigm to Groovy. It's an open-source web application framework that leverages the Groovy language and complements Java Web development. You can use Grails as a standalone development environment that hides all configuration details or integrate your Java business logic. Grails aims to make development as simple as possible and hence should appeal to a wide range of developers not just those from the Java community.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#473213; Package wnpp. (Mon, 17 Aug 2009 16:30:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 17 Aug 2009 16:30:25 GMT) Full text and rfc822 format available.

Message #10 received at 473213@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 473213@bugs.debian.org
Subject: Re: RFP: grails -- An open-source web application framework that leverages the Groovy language
Date: Tue, 18 Aug 2009 11:59:47 +1930
Currently I'm working on packaging grails.

The biggest obstacle to have this on Debian are its missing Depends
and Build-Depends. Specifically, these missing dependencies are:

* sitemesh (http://www.opensymphony.com/sitemesh/
com.opensymphony.sitemesh

* svnkit (http://svnkit.com/)
org.tmatesoft.svn

* Spring Web Flow (http://www.springsource.org/webflow)
org.springframework.webflow

* Spring (http://www.springsource.com/repository/app/bundle/detail?name=org.springframework.binding)
org.springframework.binding

* Jetty Plus (http://www.mortbay.org/)
org.mortbay.jetty.plus

* Cobertura (http://cobertura.sourceforge.net/)
net.sourceforge.cobertura

I plan to maintain grails and its needed deps under pkg-java.
Any help with packaging the missing parts is welcome.
Also, I'm willing to collaborate with any ongoing effort to package any
of the previous mentioned packages.

Regards,

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#473213; Package wnpp. (Thu, 21 Jan 2010 16:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 21 Jan 2010 16:48:06 GMT) Full text and rfc822 format available.

Message #15 received at 473213@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 473213@bugs.debian.org
Cc: 561948@bugs.debian.org
Subject: needed to package katta
Date: Thu, 21 Jan 2010 17:43:01 +0100
Hi,

anybody still working on packging grails (debbug 473213)? I'd need it as a 
dependency for Katta (debbug 561948). Is there any VCS with the packaging, 
where somebody else could pick up?

Best regards,

Thomas Koch, http://www.koch.ro




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#473213; Package wnpp. (Fri, 22 Jan 2010 21:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 22 Jan 2010 21:15:02 GMT) Full text and rfc822 format available.

Message #20 received at 473213@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: Thomas Koch <thomas@koch.ro>
Cc: 473213@bugs.debian.org, 561948@bugs.debian.org
Subject: Re: needed to package katta
Date: Sat, 23 Jan 2010 16:40:54 +1930
On Thu, Jan 21, 2010 at 12:13 PM, Thomas Koch <thomas at koch.ro> wrote:
> anybody still working on packging grails (debbug 473213)? I'd need it as a
> dependency for Katta (debbug 561948). Is there any VCS with the packaging,
> where somebody else could pick up?

Hello Thomas,

Well, I am still working on packaging grails, but that doesn't seem to
be completed
anytime soon since there are several Build-Deps not available in
Debian currently.

I'm currently packaging one of those missing Build-Deps, and when all those
would be packaged then we really could talk about having grails in Debian.

I do not think grails will be ready for squeeze.
Sorry, I don't have a handy VCS with grails packaging. I preferred to focus
on packaging its missing Build-Deps.

Regards,

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche




Added blocking bug(s) of 473213: 575877 Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Tue, 30 Mar 2010 02:03:07 GMT) Full text and rfc822 format available.

Owner recorded as Miguel Landaeta <miguel@miguel.cc>. Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Thu, 03 Jun 2010 19:57:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: grails -- An open-source web application framework that leverages the Groovy language' from 'RFP: grails -- An open-source web application framework that leverages the Groovy language' Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Sun, 13 Jun 2010 01:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#473213; Package wnpp. (Tue, 20 Jul 2010 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 20 Jul 2010 21:27:03 GMT) Full text and rfc822 format available.

Message #31 received at 473213@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 473213@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Grails' roadmap to sid
Date: Tue, 20 Jul 2010 16:53:50 -0430
block 473213 by 589501
block 473213 by 586689
thanks

I'm documenting this as reminder for myself but it could be
useful for anyone interested on this package.

Before Grails can reach unstable, the following packages must
reach unstable first:

* libhibernate3-java >= 3.5, #589501.
* libspring-java, #575877.
* libspring-webflow-2.0-java >= 2.1.0, #586689.
* libradeox-java, #453471 (this one is not a must but a nice to have).

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche




Added blocking bug(s) of 473213: 589501 Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Tue, 20 Jul 2010 21:27:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 473213: 586689 Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Tue, 20 Jul 2010 21:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#473213; Package wnpp. (Wed, 21 Jul 2010 03:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 21 Jul 2010 03:12:03 GMT) Full text and rfc822 format available.

Message #40 received at 473213@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 473213@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Grails' roadmap to sid
Date: Tue, 20 Jul 2010 22:38:34 -0430
unblock 473213 by 586689
thanks

It is not true that Grails depends on Spring Webflow 2.1.x
as I thought. One less thing that needs to happen to have
Grails in sid.

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche




Removed blocking bug(s) of 473213: 586689 Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Wed, 21 Jul 2010 03:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#473213; Package wnpp. (Thu, 19 Aug 2010 16:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 19 Aug 2010 16:33:06 GMT) Full text and rfc822 format available.

Message #47 received at 473213@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 473213@bugs.debian.org
Subject: Re: Grails' roadmap to sid
Date: Thu, 19 Aug 2010 12:02:32 -0430
On Tue, Jul 20, 2010 at 04:53:50PM -0430, Miguel Landaeta wrote:
> Before Grails can reach unstable, the following packages must
> reach unstable first:
> 
> * libspring-java, #575877.
> * libradeox-java, #453471 (this one is not a must but a nice to have).

block 473213 by 587832
thanks

Since squeeze just froze, libspring-java didn't reach sid
in time and grails wasn't ready to be uploaded anyway
because it is not compatible with groovy 1.7.x (and it is not
trivial to patch it to use that groovy version), it
doesn't make any sense for me to prepare an upload for grails
1.2.x.

So, in the next weeks (months??) I'm going to prepare a package
for grails 1.3.x. Before that can be completed, a package for
gradle must reach unstable. I'm working on it right now.

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche




Added blocking bug(s) of 473213: 587832 Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Thu, 19 Aug 2010 16:36:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 473213: 608284 Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Wed, 29 Dec 2010 18:45:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 473213: 608285 Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Wed, 29 Dec 2010 18:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#473213; Package wnpp. (Sat, 26 Mar 2011 23:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 26 Mar 2011 23:30:03 GMT) Full text and rfc822 format available.

Message #58 received at 473213@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 473213@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Grails' roadmap to sid
Date: Sat, 26 Mar 2011 18:58:25 -0430
block 473213 by 453471
thanks

On Thu, Aug 19, 2010 at 12:02:32PM -0430, Miguel Landaeta wrote:
> So, in the next weeks (months??) I'm going to prepare a package
> for grails 1.3.x. Before that can be completed, a package for
> gradle must reach unstable. I'm working on it right now.

Quick update:

Later I found out that Grails 1.3.x is uncompatible with
Hibernate >= 3.5. It builds just fine but is not usable.
So, now I'm waiting for Grails 1.4. BTW, on this week upstream
added support for Hibernate 3.6 but I don't know yet when Grails
1.4 could be released (maybe by the end of this year?).

Gradle and Spring 3.0 already reached unstable, so the missing
pieces to have Grails in Debian are:

* Upload libradeox-java (or the fork prepared by Grails team).
* Upload libhibernate3-java 3.6.
* Reimplement a few classes providing JSON features because they are
  not DFSG-compliant (infamous clause of not doing evil with software...).

Maybe another missing dependencies in Debian could appear with 1.4
release but after packaging Spring 3.0 and Gradle I guess that should
not bring too much work compared with what is already
done (famous last words?).

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche




Added blocking bug(s) of 473213: 453471 Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Sat, 26 Mar 2011 23:30:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>:
Bug#473213; Package wnpp. (Sun, 27 Mar 2011 12:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>. (Sun, 27 Mar 2011 12:33:07 GMT) Full text and rfc822 format available.

Message #65 received at 473213@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Miguel Landaeta <miguel@miguel.cc>, 473213@bugs.debian.org
Subject: Re: Bug#473213: Grails' roadmap to sid
Date: Sun, 27 Mar 2011 14:26:55 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 2011-03-27 00:28, Miguel Landaeta wrote:
> block 473213 by 453471
> thanks
> 
> On Thu, Aug 19, 2010 at 12:02:32PM -0430, Miguel Landaeta wrote:
>> So, in the next weeks (months??) I'm going to prepare a package
>> for grails 1.3.x. Before that can be completed, a package for
>> gradle must reach unstable. I'm working on it right now.
> 
> Quick update:
> 
> Later I found out that Grails 1.3.x is uncompatible with
> Hibernate >= 3.5. It builds just fine but is not usable.
> So, now I'm waiting for Grails 1.4. BTW, on this week upstream
> added support for Hibernate 3.6 but I don't know yet when Grails
> 1.4 could be released (maybe by the end of this year?).
> 
> Gradle and Spring 3.0 already reached unstable, so the missing
> pieces to have Grails in Debian are:
> 
> * Upload libradeox-java (or the fork prepared by Grails team).
> * Upload libhibernate3-java 3.6.
> * Reimplement a few classes providing JSON features because they are
>   not DFSG-compliant (infamous clause of not doing evil with software...).
> 

Depending on the actual implementation we may want to (re-)use this for
libjabsorb-java to get it back into main.

> Maybe another missing dependencies in Debian could appear with 1.4
> release but after packaging Spring 3.0 and Gradle I guess that should
> not bring too much work compared with what is already
> done (famous last words?).
> 

~Niels
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJNjy0OAAoJEAVLu599gGRCOOIP/1dlI+wP0g0PymeseDpaozVR
Xq6JyVqutdgO8D8dlF/HvBBeFOC4+mnXfVj+lVMCbeMnr1Y4G/WDOAolAVPV87WK
PC6qwqcPmrojHBexy1018+7suHF4ON1ECa+e3h7DWL3qWhfOQrl6YGrgaJxFUWvf
LQ8C6XqJdUIZVRCVwMoKw0yMNstuZx+JB9QZJn+F1dxrt0W3kfTNkC4UGBvcKm8q
UmRgVw5K7X11rJSEdyBm/GAe4cvqxw5vd4XkXJA2KOgQfM1pxWYdWqFoeOIVweYB
DGX02qwq1UpbvTE4tvZdsrmJ8k1/wNZWgL97dYsN6SvK77dnPPOhv8+3MaNIyfW0
ZjPdHUTEhxtQQ1tFYrm07Dq2jGrLyfxZoZp8GeVNjk7dtpjsiSxwiRsFbz0MrI+S
N/mhAXwv3qjRzf8bHKsun8b50RGdv24Tdttqnv1ejBmBQiD+RBFZiT5Jb806sPJu
Q42ZVkLfPBQFvJH/Y4d2mwtb3P0Rjk+ZC3ZqZlYE2cCaWGa9VyGKx6DqkmyYMjGZ
rghJU9u05CGNgGbPRLEycleE5jIJ5qcEEy9qFRfwZ47govyhc0S5uRYE89TTtWob
gaJIWbxzXBddx2BGFHz/cIv731VPmSmJv31+ZvHsqcvoemf/W8UR+asUWty3guju
ciDoBQlc6rH2RYRp9tCQ
=kJLh
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#473213; Package wnpp. (Wed, 30 Mar 2011 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 30 Mar 2011 14:57:03 GMT) Full text and rfc822 format available.

Message #70 received at 473213@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: Niels Thykier <niels@thykier.net>
Cc: 473213@bugs.debian.org
Subject: Re: Bug#473213: Grails' roadmap to sid
Date: Wed, 30 Mar 2011 10:25:48 -0430
On Sun, Mar 27, 2011 at 7:56 AM, Niels Thykier <niels@thykier.net> wrote:
> Depending on the actual implementation we may want to (re-)use this for
> libjabsorb-java to get it back into main.

Interesting, I'll take a look at it when I have some working code to offer.

At this point, I only have a really old version of that code before upstream
decided to add the non-free disclaimer.

Maybe I will work expanding that or just reimplementing it from scratch.

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>:
Bug#473213; Package wnpp. (Thu, 12 Jul 2012 02:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Dangel <uli@spamt.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>. (Thu, 12 Jul 2012 02:00:04 GMT) Full text and rfc822 format available.

Message #75 received at 473213@bugs.debian.org (full text, mbox):

From: Ulrich Dangel <uli@spamt.net>
To: 473213@bugs.debian.org
Subject: Current status of grails
Date: Thu, 12 Jul 2012 03:50:54 +0200
Hi,
what is the current status of the grails package? I'm asking because i
looked into rundeck which depends on grails.

cheers,
Ulrich




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#473213; Package wnpp. (Thu, 12 Jul 2012 15:12:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 12 Jul 2012 15:12:20 GMT) Full text and rfc822 format available.

Message #80 received at 473213@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 473213@bugs.debian.org
Cc: Ulrich Dangel <uli@spamt.net>
Subject: Re: Current status of grails
Date: Thu, 12 Jul 2012 10:41:12 -0430
[Message part 1 (text/plain, inline)]
# libradeox-java doesn't block grails packaging anymore
unblock 473213 by 453471
block 473213 by 667077
block 473213 by 637273
thanks

On Thu, Jul 12, 2012 at 03:50:54AM +0200, Ulrich Dangel wrote:
> Hi,
> what is the current status of the grails package? I'm asking because i
> looked into rundeck which depends on grails.

Hi,

grails package is progressing very slowly because I first need to
package gradle which is the tool used to build grails. gradle and
grails are not trivial packages and I'm the only person taking
care of this packages right now, so that's the reason why it's
taking so long.

Just curious, which parts of rundeck depend on grails?

Cheers,

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x6E608B637D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche
[signature.asc (application/pgp-signature, inline)]

Removed blocking bug(s) of 473213: 453471 Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Thu, 12 Jul 2012 15:12:24 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 473213: 667077 and 667078 Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Thu, 12 Jul 2012 15:12:25 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 473213: 642781 and 637273 Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Thu, 12 Jul 2012 15:12:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#473213; Package wnpp. (Thu, 12 Jul 2012 19:22:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 12 Jul 2012 19:23:00 GMT) Full text and rfc822 format available.

Message #91 received at 473213@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: Ulrich Dangel <uli@spamt.net>
Cc: 473213@bugs.debian.org
Subject: Re: Current status of grails
Date: Thu, 12 Jul 2012 14:39:04 -0430
On Thu, Jul 12, 2012 at 11:07 AM, Ulrich Dangel <uli@spamt.net> wrote:
>
> I know that both of them are not trivial but it seems that gradle is in
> sid.

Yes, I prepared that package one year ago. I had to ask for removal from
testing recently because that version of gradle doesn't work with groovy 1.8.

I'm preparing a new upstream release of gradle that will solve this issue


>> Just curious, which parts of rundeck depend on grails?
>
> I didn't look too closely but it seems (at least for me) that it
> uses grails for the webapp see for example
> https://github.com/dtolabs/rundeck/blob/development/rundeckapp/web-app/WEB-INF/applicationContext.xml
> or
>
> https://github.com/dtolabs/rundeck/tree/development/rundeckapp/grails-app

Maybe you can disable features depending on grails in the meantime
or try grails packages available at http://freshgroovy.com/, that way you
can test rundeck until grails packages are available in Debian archive.

> Thanks for your great work :)

No problem!

Cheers,

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x6E608B637D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>:
Bug#473213; Package wnpp. (Sun, 29 Jul 2012 21:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jimmie Butler <jimmiebtlr@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>. (Sun, 29 Jul 2012 21:30:03 GMT) Full text and rfc822 format available.

Message #96 received at 473213@bugs.debian.org (full text, mbox):

From: Jimmie Butler <jimmiebtlr@gmail.com>
To: miguel@miguel.cc
Cc: 473213@bugs.debian.org
Subject: Re: Current status of grails
Date: Sun, 29 Jul 2012 15:27:01 -0600
[Message part 1 (text/plain, inline)]
I would like to offer assistance packaging grails.  I'm fairly new to
the packaging process, but I'll help wherever I can.



-- 
Thanks,
Jimmie Butler
*
*
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#473213; Package wnpp. (Mon, 30 Jul 2012 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 30 Jul 2012 14:27:03 GMT) Full text and rfc822 format available.

Message #101 received at 473213@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: Jimmie Butler <jimmiebtlr@gmail.com>
Cc: 473213@bugs.debian.org
Subject: Re: Current status of grails
Date: Mon, 30 Jul 2012 09:54:29 -0430
On Sun, Jul 29, 2012 at 4:57 PM, Jimmie Butler <jimmiebtlr@gmail.com> wrote:
> I would like to offer assistance packaging grails.  I'm fairly new to the
> packaging process, but I'll help wherever I can.

Hi Jimmie,

Sure, let's switch to private email in order to don't clutter to much
this bug report.

Cheers,

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x6E608B637D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>:
Bug#473213; Package wnpp. (Sat, 17 Aug 2013 07:13:57 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>. (Sat, 17 Aug 2013 07:13:57 GMT) Full text and rfc822 format available.

Message #106 received at 473213@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 473213@bugs.debian.org
Cc: control@bugs.debian.org
Subject: grails: changing back from ITP to RFP
Date: Sat, 17 Aug 2013 09:06:10 +0200
retitle 473213 RFP: grails -- An open-source web application framework that leverages the Groovy language
noowner 473213
tag 473213 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging grails. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of grails back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in packaging grails, please send a mail to
<control@bugs.debian.org> with:

 retitle 473213 ITP: grails -- An open-source web application framework that leverages the Groovy language
 owner 473213 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <473213@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: grails -- An open-source web application framework that leverages the Groovy language' from 'ITP: grails -- An open-source web application framework that leverages the Groovy language' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:19:22 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Miguel Landaeta <miguel@miguel.cc>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:19:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#473213; Package wnpp. (Tue, 20 Aug 2013 16:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 20 Aug 2013 16:27:04 GMT) Full text and rfc822 format available.

Message #115 received at 473213@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 473213@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: grails: changing back from ITP to RFP
Date: Tue, 20 Aug 2013 13:29:27 -0300
[Message part 1 (text/plain, inline)]
retitle 473213 ITP: grails -- An open-source web application framework that leverages the Groovy language
owner 473213 !
thanks

On Sat, Aug 17, 2013 at 09:06:10AM +0200, Lucas Nussbaum wrote:
> A long time ago, you expressed interest in packaging grails. Unfortunately,
> it seems that it did not happen. In Debian, we try not to keep ITP bugs open
> for a too long time, as it might cause other prospective maintainers to
> refrain from packaging the software.

I still intend to package this framework. The usual challenges
remains, upstream moves too fast, up-to-date versions of gradle and
groovy are needed, and probably some missing dependencies must be
packaged first.

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x6E608B637D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: grails -- An open-source web application framework that leverages the Groovy language' from 'RFP: grails -- An open-source web application framework that leverages the Groovy language' Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Tue, 20 Aug 2013 16:27:29 GMT) Full text and rfc822 format available.

Owner recorded as Miguel Landaeta <miguel@miguel.cc>. Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Tue, 20 Aug 2013 16:27:30 GMT) Full text and rfc822 format available.

Added indication that bug 473213 blocks 691978 Request was from Dmitry Smirnov <onlyjob@debian.org> to control@bugs.debian.org. (Thu, 21 Nov 2013 10:57:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:18:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.